#ifndef LAUNCHER_H
#define LAUNCHER_H

#include <QObject>
#include <QString>
#include <QStringList>
#include <QProcess>
#include <QDir>
#include <QJsonObject>

#include "profile_handler/forge1_12_2.h"

class Launcher : public QObject {
    Q_OBJECT

public:
    explicit Launcher(QObject *mainwindow = nullptr);
    ~Launcher();
    void startProcess(QString &username, QString &uuid, QString &access_token);
    void update();  // Обновленный метод update

signals:
    void updateFinished();  // Сигнал, который будет испускаться после завершения update

private:
    QProcess *process;
    QObject *mainwindow;
    forge1_12_2 *get_args;
    bool run_status;

    // Переменные для запуска клиента
    QString client_dir;
    QString RAM;
    QString java_path;
    QString garbarge_collector;
    QJsonObject json_settings;
    QStringList arguments;
};

#endif
